Đến nội dung


Hình ảnh
- - - - -

Viết giúp em đoạn CODE em muốn từ Excel bấm 1 nút nó sẽ vào CAD


  • Please log in to reply
2 replies to this topic

#1 trieubb

trieubb

    biết vẽ ellipse

  • Members
  • PipPip
  • 59 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 01 October 2009 - 02:03 PM

Xin nhờ các cao thủ viết giúp em đoạn CODE trong VBA mà em muốn từ Excel bấm 1 nút nó sẽ vào CAD và thực hiện gõ e (lệnh ERASE) ấy mà rồi đợi mình chọn đối tượng để xoá.
  • 0

#2 anhcos

anhcos

    biết lệnh hatchedit

  • Advance Member
  • PipPipPipPip
  • 260 Bài viết
Điểm đánh giá: 170 (tàm tạm)

Đã gửi 02 October 2009 - 08:21 AM

Tạo 1 tập chọn đối tượng, sau đó chọn đối tượng rồi xóa.

'Bộ chọn đối tượng
Dim selset as Object

On Error Resume Next
Set SelSet = ThisDrawing.SelectionSets.Add("anhcos") 'Tạo mới

If Err <> 0 Then
Set SelSet = ThisDrawing.SelectionSets.Item("anhcos") 'Chọn nó khi nó đã có
End If

'Chọn đối tượng trên màn hình
selset.SelectOnScreen

'Xóa các đối tượng được chọn
'Bộ chọn đối tượng vẫn còn đó
selset.Erase
  • 0
Clear sky!

MF Rock collection.

#3 trieubb

trieubb

    biết vẽ ellipse

  • Members
  • PipPip
  • 59 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 02 October 2009 - 11:06 AM

Tạo 1 tập chọn đối tượng, sau đó chọn đối tượng rồi xóa.

'Bộ chọn đối tượng
Dim selset as Object

On Error Resume Next
Set SelSet = ThisDrawing.SelectionSets.Add("anhcos") 'Tạo mới

If Err <> 0 Then
Set SelSet = ThisDrawing.SelectionSets.Item("anhcos") 'Chọn nó khi nó đã có
End If

'Chọn đối tượng trên màn hình
selset.SelectOnScreen

'Xóa các đối tượng được chọn
'Bộ chọn đối tượng vẫn còn đó
selset.Erase



vẫn không được bác anhcos ơi bác cố giúp em với
  • 0